FIX::FieldNotFound Struct Reference

Field not found inside a message. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::FieldNotFound:
[legend]
Collaboration diagram for FIX::FieldNotFound:
[legend]

## Public Member Functions

| FieldNotFound (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Field not found inside a message.

Definition at line 57 of file Exceptions.h.

## Constructor & Destructor Documentation

## FieldNotFound()

FIX::FieldNotFound::FieldNotFound | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 59 of file Exceptions.h.

: Exception( "Field not found", what ),
field( f ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition Exceptions.h:35
FIX::FieldNotFound::field
int field
Definition Exceptions.h:62

## Member Data Documentation

## field

int FIX::FieldNotFound::field

Definition at line 62 of file Exceptions.h.

Referenced by FIX::Message::validate().

The documentation for this struct was generated from the following file:

- Exceptions.h